diff --git a/source/test/TestBench.cpp b/source/test/TestBench.cpp
index 067b5ef..fa0174a 100644
--- a/source/test/TestBench.cpp
+++ b/source/test/TestBench.cpp
@@ -55,6 +55,17 @@ const char* chromaPartStr[NUM_CHROMA_PARTITIONS] =
     "32x32", "32x16", "16x32", "32x24", "24x32", " 32x8", " 8x32",
 };
 
+#include "TLibCommon/TComRom.h"
+
+static EncoderPrimitives my_ref;
+template<int N, int width, int height>
+void interp_hv_pp_c1(pixel *src, intptr_t srcStride, pixel *dst, intptr_t dstStride, int idxX, int idxY)
+{
+    short m_immedVals[(64 + 8) * (64 + 8)];
+    my_ref.ipfilter_ps[FILTER_H_P_S_8](src - 3 * srcStride, srcStride, m_immedVals, width, width, height + 7, g_lumaFilter[idxX]);
+    my_ref.ipfilter_sp[FILTER_V_S_P_8](m_immedVals + 3 * width, width, dst, dstStride, width, height, g_lumaFilter[idxY]);
+}
+
 int main(int argc, char *argv[])
 {
     int cpuid = x265::cpu_detect();
@@ -171,6 +182,8 @@ int main(int argc, char *argv[])
 
     printf("\nTest performance improvement with full optimizations\n");
 
+    my_ref = optprim;
+    cprim.luma_hvpp[LUMA_8x8] = interp_hv_pp_c1<8, 8, 8>;
     for (size_t h = 0; h < sizeof(harness) / sizeof(TestHarness*); h++)
     {
         if (testname && strncmp(testname, harness[h]->getName(), strlen(testname)))
